Fórum Debian

Versão Completa: Problemas kernel 2.6.21-2-686 no Debian 4
Você está atualmente visualizando uma versão simplificada do conteúdo. Visualizar a versão completa com formatação.
Ola, este eh meu primeiro post no forum entao me desculpem se estiver postando no local errado, Utilizo Debian 4 kernel 2.6.18-4-686 e funciona sem problemas,driver da nvidia, os modulos, placa de captura, webcam e tudo mais. Hoje o update-notifier toda hora de executa-lo ele travava, entao fui no bash como root e digitei apt-get dist-upgrade, notei que ele instalou um novo kernel 2.6.21-2-686 e adicionou no menu.lst a entrada para este kernel, quando entro por este mais novo nao consigo acessar o X, entao troco no xorg.conf o driver nvidia por VESA e consigo,tentei recompilar o driver da nvidia sh NVIDIA......sh porem quando termina os 100% da erro no build, alguem sabe como devo proceder pra esse kernel funcionar 100%? e começar a utilizar ele ao inves do 2.6.18-4?
Obrigado desde ja....
Com o dist-upgrade num era pra atulalizar o kernel a não ser que seus repositórios esteja para outra versão.
Como está o seu sources.list?
#gedit /etc/apt/sources.list
deb cdrom:[Debian GNU/Linux 4.0 r0 _Etch_ - Official i386 DVD Binary-3 20070407-11:40]/ etch contrib main
deb cdrom:[Debian GNU/Linux 4.0 r0 _Etch_ - Official i386 DVD Binary-2 20070407-11:40]/ etch contrib main
deb cdrom:[Debian GNU/Linux 4.0 r0 _Etch_ - Official i386 DVD Binary-1 20070407-11:40]/ etch contrib main

deb http://ftp.br.debian.org/debian/ etch main non-free contrib
deb-src http://ftp.br.debian.org/debian/ etch main non-free contrib

deb http://security.debian.org/ etch/updates main contrib non-free
deb-src http://security.debian.org/ etch/updates main contrib non-free
deb http://cairographics.org/packages/debian/ experimental/
deb-src http://cairographics.org/packages/debian/ experimental/
deb http://cairographics.org/packages/debian/ unstable/
deb-src http://cairographics.org/packages/debian/ unstable/
deb http://ftp.debian.org/debian/ testing main contrib non-free
# deb http://www.vollstreckernet.de/debian/ testing amule
#deb http://rschultz.ath.cx/debian/ unstable/i386/
deb http://luon.net/debian/ unstable main
deb http://download.skype.com/linux/repos/debian/ stable non-free
deb-src http://security.debian.org/ etch/updates main contrib
deb http://amule-debian.dyndns.org/ debian/
deb http://ftp.br.debian.org/debian/ testing main contrib non-free
# deb http://debian.beryl-project.org/ etch main
# deb-src http://debian.beryl-project.org/ etch main
deb http://http.us.debian.org/debian stable main contrib non-free
deb http://non-us.debian.org/debian-non-US stable/non-US main contrib non-free
deb http://security.debian.org stable/updates main contrib non-free
# deb http://tinkerbell.dyndns.biz/debian woody main contrib non-free non-US
deb http://www.getautomatix.com/apt etch main
deb http://www.proesdorf.de/debian/ stable main contrib


#AUTOMATIX REPOS START

deb http://www.debian-multimedia.org etch main
#AUTOMATIX REPOS END
Você deveria deixar seus repositórios apenas com etch, nada de unstable, experimental. testing, veja como está o meu:

# deb cdrom:[Debian GNU/Linux 4.0 r0 _Etch_ - Official i386 CD Binary-1 20070407-11:55]/ etch contrib main

# Line commented out by installer because it failed to verify:
deb http://security.debian.org/ etch/updates main contrib
# Line commented out by installer because it failed to verify:
# deb-src http://security.debian.org/ etch/updates main contrib
# deb http://ftp.debian.org/debian etch main contrib non-free
deb http://ftp.br.debian.org/debian etch main contrib non-free
# deb-src http://ftp.br.debian.org/debian etch main contrib non-free
deb http://www.debian-multimedia.org etch main
deb http://mirrors.kernel.org/debian/ etch main contrib
Mais agora que ja instalo o novo kernel e tenho como opção utilizar tambem o 2.6.21-2 o q devo fazer para funcionar corretamente?Compilar o driver da nvidia por ex..
Segui o wiki porem sem sucesso,
Aquiles:/home/guiller# m-a prepare
Getting source for kernel version: 2.6.21-2-686
Cabeçalhos de kernel disponíveis em /lib/modules/2.6.21-2-686/build
Criando ligação simbólica ...
apt-get install build-essential
Lendo lista de pacotes... Pronto
Construindo árvore de dependências
Reading state information... Pronto
build-essential já é a versão mais nova.
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.
Feito !

Aquiles:/home/guiller# apt-cache search linux-image-2.6.21-2-686
linux-headers-2.6.21-2-686 - Header files for Linux 2.6.21 on PPro/Celeron/PII/PIII/P4
linux-headers-2.6.21-2-686-bigmem - Header files for Linux 2.6.21 on PPro/Celeron/PII/PIII/P4
linux-image-2.6.21-2-686 - Linux 2.6.21 image on PPro/Celeron/PII/PIII/P4
linux-image-2.6.21-2-686-bigmem - Linux 2.6.21 image on PPro/Celeron/PII/PIII/P4
Aquiles:/home/guiller#

Agora quando tento compila o modulo da nvidia sh NVIDIA-Linux-x86-100.14.11-pkg1.run ou entao sh NVIDIA-Linux-x86-1.0-9639-pkg1.run esse começa a fazer o build quando chega em 100% da error falando que nao pode compilar o modulo, porem no kernel 2.6.18 funciona normalmente...
PS: meu processador eh um Intel D940
Tive o mesmo problema usando o Lenny (só os repositórios do testing habilitados) com kernel 2.6.21-2 o instalador do driver da nvidia (100.14.11) não conseguiu compilar o módulo do kernel.

Dá uma olhada neste site que tem a descrição do problema (Inglês):
http://grizach.sc18.info/nvpatch/#1

Tenta Instalar com este link abaixo Driver "Tunado" para o kernel 2.6.21-2:
http://grizach.servebeer.com/nvpatch/NV ... atched.run

Código:
sh NVIDIA-Linux-x86-100.14.11-pkg1-patched.run
URL de Referência